Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.view
Interface ShellView

All Superinterfaces
  MarkupBasedView, Serializable, View

    public interface ShellView

extends MarkupBasedView

View class for a shell. All desktops must have a least one shell. The shell represents everything outside of the main book.

"Views" are deep copy immutable objects. Unlike "Definitions" and "Instances" Views cannot be modified by the developer. An Instance or a Definition however can always be obtained from the view. The persistence APIs provide coarse grain and fine grain getters, but only fine grain setters. If you are interested in an object and all its children then retrieve the View, but if you are only interested in the immediate object and don't care about its children then retrieve the Definition.

See Also
  `View`
  This interface is intended to be implemented only by BEA Weblogic Portal. BEA Systems reserves the right to add abstract methods to this interface without notice. Implementations of this interface by other parties must not be expected to compile without change in future versions of BEA Weblogic Portal.

Method Summary
`LayoutView` | `getFooterLayoutView()` Get the layout in the footer, if there is one.
`LayoutView` | `getHeaderLayoutView()` Get the layout in the header, if there is one.
`LocalizationResourceView` | `getLocalizationResourceView()` The Localization resource contains the localized title and description for this shell.
`ShellDefinition` | `getShellDefinition()` Retrieve the associated `shellDefinition` from this shell view.
`ShellDefinitionId` | `getShellDefinitionId()` Getter for the shell definition id.
`String` | `getShellFile()` Retrieve the file name used to create this shell.
`String` | `getThumbnailUri()` Get the URI to the thumbnail representation.
`String` | `getWebAppName()` Return the name of the webapp that this shell is associated with.
`boolean` | `isDeleted()` If isDeleted is true then the shell has been removed from the file system.

Methods inherited from interface com.bea.netuix.application.view.MarkupBasedView
`getMarkupView`

Methods inherited from interface com.bea.netuix.application.view.View
`getDescription, getTitle`

Method Detail

### getShellDefinitionId

    ShellDefinitionId getShellDefinitionId()

  Getter for the shell definition id. The shell id is the primary key value for the shell definition in the PF_SHELL_DEFINITION table. Unlike Book, Pages, and Portlets, shells do not have instances. The admin or end user can change a shell but in doing so they are customizing the desktop and not the shell.

  Returns
    a non-null unique definition id. This value should never be null as views are obtained via the persistence API.

### getShellDefinition

    ShellDefinition getShellDefinition()

  Retrieve the associated `shellDefinition` from this shell view. Shell views are immutable but shell definitions are not. Therefore it is often necessary to retrieve the definition from the view in order to update its values and then in turn call the persistence API. The shell definition is constructed (in the database) and updated via its .shell file. If you create a new .shell file then a new shell definition is created in the database. If you edit the file the changes are automatically seen in the database. (during dev time we poll the file system periodically and in production we update the database whenever the webapp is redeployed).

  Returns
    a non-null shell Definition

### getLocalizationResourceView

    LocalizationResourceView getLocalizationResourceView()

  The Localization resource contains the localized title and description for this shell.

  Returns
    a non-null LocalizationResourceView customized per the request.

### getWebAppName

    String getWebAppName()

  Return the name of the webapp that this shell is associated with. All resources in the portal framework database are scoped to the webapp.

  Returns
    a non-null webapp name.

### getShellFile

    String getShellFile()

  Retrieve the file name used to create this shell. Shells are created via .shell files.

  Returns
    the file name associated with this shell.

### isDeleted

    boolean isDeleted()

  If isDeleted is true then the shell has been removed from the file system. It was not outright deleted from the database because it is in use by some desktop somewhere in the system. Either restore the file and this flag will go back to false or remove/replace this shell via the admin tools.

  If this flag is set on an object the admin tools will display the object with a different icon to denote that it has been removed from the file system.

  Returns
    true if this file hase been deleted from the file system.

### getThumbnailUri

    String getThumbnailUri()

  Get the URI to the thumbnail representation.

  Returns
    the URI to the thumbnail.

### getHeaderLayoutView

    LayoutView getHeaderLayoutView()

  Get the layout in the header, if there is one.

  Returns
    the header layout if there is one defined; null otherwise.

### getFooterLayoutView

    LayoutView getFooterLayoutView()

  Get the layout in the footer, if there is one.

  Returns
    the footer layout if there is one defined; null otherwise.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved